<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

// Include WB admin wrapper script
require(WB_PATH.'/modules/admin.php');

/**
 *	Load Language file
 */
$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once ( !file_exists($lang) ? (dirname(__FILE__))."/languages/EN.php" : $lang );

// Get header and footer
$fetch_content = array();
$database->execute_query(
	"SELECT * FROM ".TABLE_PREFIX."mod_bookmarks_settings WHERE section_id = '$section_id'",
	true,
	$fetch_content,
	false
);
$all = array();
$ignore = LEPTON_PATH;
$all_dirs = directory_list( LEPTON_PATH.MEDIA_DIRECTORY, false, NULL, $all, $ignore);

$pic_loc1 = stripslashes($fetch_content['pic_loc']);
if ($pic_loc1 == '') { $pic_loc1 = MEDIA_DIRECTORY.'/bookmarks'; };

require_once( LEPTON_PATH."/framework/functions/function.file_list.php");
$file_dir = dirname(__FILE__)."/templates";
$all_templates = file_list( $file_dir, array(), false, "(lte)", $file_dir."/");
					
$form_values = array(
	'LEPTON_URL' => LEPTON_URL,
	'ADMIN_URL' => ADMIN_URL,
	'page_id' => $page_id,
	'section_id' => $section_id,
	'TEXT' => $TEXT,
	'BMTEXT' => $BMTEXT,
	'fetch_content' => $fetch_content,
	'pic_loc1' => $pic_loc1,
	'all_dirs' => $all_dirs,
	'all_templates' => $all_templates
);

/**	*******************************
 *	Try to get the template-engine.
 */
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

$loader->prependPath( dirname(__FILE__)."/templates/backend", "bookmarks" );

echo $parser->render(
	"@bookmarks/modify_settings.lte",
	$form_values
);

// Print admin footer
$admin->print_footer();

?>