<?php

/**
 *  @module         Bookmarks
 *  @version		3.0.0 beta
 *  @authors		Ryan Djurovich, Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson, Dietrich Roland Pehlke (last)
 *  @copyright		2004-2014 Bennie Wijs, Woudloper, Matthias Gallas, Niclas Brorsson
 *  @copyright		2015 LEPTON-Project
 *  @license		GNU General Public License
 *  @license terms	see info.php of this module
 *  @platform		LEPTON-CMS 2.x
 *	
 */

if (defined('LEPTON_PATH')) {	
	include(LEPTON_PATH.'/framework/class.secure.php'); 
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.'/framework/class.secure.php'))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.'/framework/class.secure.php')) { 
		include($root.'/framework/class.secure.php'); 
	} else {
		trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}

/**
 *	Load Language file
 */
$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once ( !file_exists($lang) ? (dirname(__FILE__))."/languages/EN.php" : $lang );

$fetch_settings = array();
$database->execute_query(
	"SELECT * FROM `".TABLE_PREFIX."mod_bookmarks_settings` WHERE `section_id` = '".$section_id."'",
	true,
	$fetch_settings,
	false
);

if(count($fetch_settings) > 0) {
	$pic_loc	= $fetch_settings['pic_loc'];
	$sort_grp_name = $fetch_settings['sort_grp_name'];
	$sort_nogrp_links = $fetch_settings['sort_nogrp_links'];
} else {
	$pic_loc = '';
}

/**	*******************************
 *	Try to get the template-engine.
 */
global $parser, $loader;
if (!isset($parser))
{
	require_once( LEPTON_PATH."/modules/lib_twig/library.php" );
}

$loader->prependPath( dirname(__FILE__)."/templates/", "bookmarks" );

$frontend_template_path = LEPTON_PATH."/templates/".DEFAULT_TEMPLATE."/frontend/bookmarks/templates/";
$module_template_path = dirname(__FILE__)."/templates/";

require_once (LEPTON_PATH."/modules/lib_twig/classes/class.twig_utilities.php");
$twig_util = new twig_utilities( $parser, $loader, $module_template_path, $frontend_template_path );
$twig_util->template_namespace = "bookmarks";

// End of template-engines settings.

/**	*******************
 *	Loop through groups
 */

// Sorting groups by title or position
$sort_grp = ($sort_grp_name == "1")
	? "title"
	: "position"
	;

$all_groups = array();
$database->execute_query(
	"SELECT `group_id`,`title`,`sort_links_name` FROM `".TABLE_PREFIX."mod_bookmarks_groups` WHERE `section_id` = '$section_id' AND `active` = '1' ORDER BY $sort_grp ASC",
	true,
	$all_groups
);

foreach($all_groups as &$group) {
	$group_id = $group['group_id'];

	// Sort links by title or position
	$sort_links = ($group['sort_links_name'] == "1")
		? "title"
		: "position"
		;

	$all_links = array();
	$database->execute_query(
		"SELECT * FROM `".TABLE_PREFIX."mod_bookmarks_links` WHERE `section_id` = '".$section_id."' AND `group_id` = '".$group['group_id']."' AND `active` = '1' ORDER BY ".$sort_links." ASC",
		true,
		$all_links
	);
	
	$pic_loc = $database->get_one( "SELECT `pic_loc` FROM `".TABLE_PREFIX."mod_bookmarks_settings` WHERE `section_id`='".$section_id."'");

	foreach($all_links as &$ref) $ref['img_src'] = LEPTON_URL.$pic_loc."/".$ref['picture'];
	
	$group['bookmarks'] = $all_links;
}

if (true === $twig_util->resolve_path( $fetch_settings['template']) ) {
	echo $parser->render(
		"@bookmarks/".$fetch_settings['template'],
		array("all_groups" => $all_groups)
	);	
}	

?>